This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 64295 - unhandled exception in anaconda when installing from CDs with updates
unhandled exception in anaconda when installing from CDs with updates
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-01 17:12 EDT by Lou Biskup
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-01 17:12:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lou Biskup 2002-05-01 17:12:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; AIX 4.3)

Description of problem:
Trying to create and use an install CD that include updated RPMs.  anaconda gets
an unhandled exception when it attempts to read the updated hdlist file in the
updated CD images.    

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install base system from RH distribution CDs.
2. Add anaconda and anaconda-runtime from distribution CD 2 to system.
3. Load contents of distrbution CD 1 to hard drive.
4. Replace several selected RPMs with updated versions of these RPMs.
5. Ran genhdlist <root_of_cd_image> to create updated hdlist and hdlist2 files
in RedHat/base in cd image.  No indication of problem.
6. Obseved that new hdlist and hdlist2 files were only about half the size of
the ones they replaced.  Proceeded anyway.
7. Created ISO image by running mkisofs with -r -l and -allow-multidot flags
8.  Burned CD from created image
9. Initiated install from pcmcia and pcmciadd floppys on laptop.  

		

Actual Results:  Installation proceeds normally until anaconda tries to read
updated versions of hdlist and/ro hdlist2 files, then gets an unhandled
exception.  Game over.

Expected Results:  Normal installation with updated RPMs.

Additional info:

Traceback (innermost last):
File "/usr/bin/anaconda", line 620 in ? intf.run(id, dispatch, configFileData)
File "/usr/lib/anaconda/text.py", line 408 in run dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py", line 143 in gotoNext self.moveStep()
File "/usr/lib/anaconda/dispatch.py", line 208 in moveStep rc=apply(func,
self.bindArgs(args))
File "/usr/lib/anaconda/packages.py", line 106 in readPackages
id.comps=method.readComps(id.hdList)
File "/usr/lib/anaconda/image.py", line 17 in readComps return
ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
File "/usr/lib/anaconda/comps.py", line 795 in in __init__
self.readCompsFile(file, self.Packages)
File "/usr/lib/anaconda/comps.py", line 549 in readCompsFile
list=self.exporessions.get(packages[])
File "/usr/lib/anaconda/comps.py", line 152 in __getitem__ return
self.packages[item]
KeyError: bg5ps
Comment 1 Jeremy Katz 2002-05-01 19:18:01 EDT
You didn't run genhdlist with the --withnumbers argument and passing it all of
the directories with packages.

Note You need to log in before you can comment on or make changes to this bug.